Page MenuHomePhabricator

Request for Gerrit Managers permissions
Closed, ResolvedPublic

Description

As a member of the SRE team, i'd like to be able to manage our various gerrit projects. Looking at the current members of the group, there's only one other person there from SRE (herron) who is in USTZ. It would be good to have someone in EUTZ as well, as SRE is a heavy user of gerrit.

An example usage would be: i want to create an annotated tag on the operations/software/wmfmariadbpy project, but current permissions don't allow that, and i don't have the access to fix that, either.

Event Timeline

Kormat created this task.Aug 13 2020, 10:23 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 13 2020, 10:23 AM
Kormat triaged this task as Medium priority.Aug 13 2020, 10:23 AM

Just to clarify, are there specific permissions you would like and are lacking, or you'd like to be a manager to fix whatever comes up (which is fine too)?

An example usage would be: i want to create an annotated tag on the operations/software/wmfmariadbpy project, but current permissions don't allow that, and i don't have the access to fix that, either.

We should definitely fix that. It seems like the permission has been granted to an adhoc "opssoftware" Gerrit group rather than the entire ops LDAP group.

Just to clarify, are there specific permissions you would like and are lacking, or you'd like to be a manager to fix whatever comes up (which is fine too)?

I was asking for general manager access, so i can fix these sorts of things for myself and other SREs in my TZ.

Mentioned in SAL (#wikimedia-releng) [2020-08-18T09:26:39Z] <hashar> gerrit: made operations-software-wmfmariadbpy self owned, added kormat to the group. # T260342

Gerrit Managers lets you basically create other repos and manage a couple of things. Maybe @Kormat is thinking on Gerrit adminship instead (ldap/gerritadmin)?

Kormat closed this task as Resolved.Aug 21 2020, 9:29 AM
Kormat claimed this task.

Ahh. I wasn't aware of the limitations of Gerrit Managers. Now that i look at the members of ldap/gerritadmin, there are a number of SREs in there. Now that i know who i can bug, that's sufficient, so resolving this. Thanks!